summaryrefslogtreecommitdiff
path: root/tests/tail-2/append-only
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/append-only')
-rwxr-xr-xtests/tail-2/append-only9
1 files changed, 6 insertions, 3 deletions
diff --git a/tests/tail-2/append-only b/tests/tail-2/append-only
index 0b4a95958..2d38d4f0f 100755
--- a/tests/tail-2/append-only
+++ b/tests/tail-2/append-only
@@ -37,9 +37,12 @@ fi
fail=0
-sleep 1 &
-pid=$!
-tail --pid=$pid -f f || fail=1
+for inotify in ---disable-inotify ''; do
+ sleep 1 &
+ pid=$!
+ tail --pid=$pid -f $inotify f || fail=1
+done
+
chattr -a f 2>/dev/null
Exit $fail